Erweiterter Login 5.2.0

Das Plugin integriert einen erweiterten, sicheren Login bekannt aus Facebook und Steam. Neue Geräte müssen durch einen Bestätigungscode, der an die im Profil hinterlegte Email-Adresse gesendet wird, bestätigt werden bevor sie sich im Forum weiterbewegen können.

Für das WBB 4.0/4.1 bitte die neuste Version 1.x nutzen. Die Versionen 3.x funktionieren nur im WSC.


Das Plugin integriert einen erweiterten, sicheren Login bekannt aus Facebook und Steam. Neue Geräte müssen durch einen Bestätigungscode, der an die im Profil hinterlegte Email-Adresse gesendet wird, bestätigt werden bevor sie sich im Forum weiterbewegen können.


Auch wenn ein fremder Zugriff auf einen Benutzeraccount bekommt, kann er sich erst im Forum bewegen nachdem er den an die Email gesendeten Code bekommt. Da im Normalfall kein Zugriff auf die Emails vorhanden sein sollte, hat der Fremde keine Chance im Forum zu interagieren.


Außerdem haben Benutzer die Möglichkeit im Profil zu sehen wer von welchem Ort, Zugriff auf den Account hatte. Mögliche fremde Zugriffe können per Mausklick beendet werden, so dass der Benutzer automatisch ausgeloggt wird.

DEMO: http://cwalz.de/

Nur kompatibel mit dem WCF 2.1.0 RC2 und höher!

Images

  • Version 5.2.0

    - Version für WSC 5.2

  • Version 1.0.5

    - IP-Adressen werden nicht mehr gespeichert, wenn die Modul-Option "Speicherung von IP-Adressen" deaktiviert ist

  • Version 3.0.4

    - IP-Adressen werden nicht mehr gespeichert, wenn die Modul-Option "Speicherung von IP-Adressen" deaktiviert ist

  • Version 3.0.3

    WSC 3.1 Kompatibilität

  • Version 3.0.2

    Behebt einen Fehler für gesperrte Nutzer

  • Version 3.0.1

    - Behebt die doppelten Hinweise

    - Verbessert das Senden von Emails

  • Version 3.0.0

    Update für das WSC

  • Version 1.0.4

    - IP-Adresse regelmäßig aktualisieren
    - Windows 10 und Edge User-Agent hinzugefügt

  • Version 1.0.3

    - Behebt einen möglichen Fehler im Wartungsmodus

  • Version 1.0.2

    - Verfügbarkeit im Offline-Modus
    - Non-Object-Fehler behoben

  • Also wenn man sich via Mobil versucht einzuloggen, bekommt man nicht direkt Email mit Code. Sondern man muss nochmal extra anfordern.

  • Ist das mit dem WSC-Connect Kompatibel

  • Hallo,

    Warum werden die Mails nicht in HTML gesendet, wie das sonst global der Fall ist?


    Aktuelle Version für 5.2

  • Moin,

    Ich habe im ca 1 Stunden takt eine Email erhalten, war während der Zeit nicht im Forum aktiv. Soll das so sein? Ich werde nach 1 Stunde ja auch nicht aufgefordert mich erneut anzumelden

    • Nein, eigentlich nicht. Hat jmd. deine Login-Daten?

      Ansonsten wenn du dich nicht einloggst, dürfte auch keine Email kommen.

    • Bin mir ziemlich sicher das ich der einzige mit den Daten bin 🙃 war mitten in der Nacht.

      Hatte mich angemeldet und parallel dazu an einem anderen Server gearbeitet

      Hier mal ein Überblick der Mails ^^

      Das Gerät wurde auch mehrfach in der Übersicht gelistet.

      WSC 3.1

      Plugin 3.0.4

    • Einfach so werden keine Mails verschickt. Loggt sich ein externes Programm vllt. mit deinem Account ein? Trat das Problem schon immer auf?

    • Direkt bei der erst Verwendung, hatte das Plugin darauf hin deinstalliert.

      Habe es aktuell wieder installiert das Phänomen trat noch nicht wieder auf.

      Like 1
    • Okay bei einem User tritt jetzt warscheinlich genau das Problem wieder aud


      Quote

      "Neues Gerät bestätigen"
      "Bitte tragen Sie hier den Bestätigungscode ein, der am 15. November 2019, 15:34 an Ihre Email-Adresse versendet wurde"
      "Bestätigungscode per E-Mail anfordern"

      ...dann müßte ich bei jeder Anmeldug mein E-Mail-Konto abfragen...das ist zu aufwendig...

      ...es ändert sich immer nur die IP, nicht das Gerät (PC)...

  • Fehler gefunden, in deinem Forum gemeldet.

  • Hab´s jetzt selbst gefunden!


    Musste Version 3.0.4 installieren!

  • Sorry: Wir haben 3.1.10 pl 2 am Laufen!

  • Was muss ich jetzt machen, habe gerade das Plugin gekauft. Ist aber inkompatibel mit dem "WoltLab Suite Core"

    Wo findet man die neueste Version?

  • Bekomme diese Meldung wenn ich das addon installiere

    • Hast du


      Für das WBB 4.0/4.1 bitte die neuste Version 1.x nutzen. Die Versionen 3.x funktionieren nur im WSC.


      beachtet?

    • da bekomme ich diese Meldung:


      This package is incompatible with the following installed packages:

      • “WoltLab Suite Core” (com.woltlab.wcf)
    • Welche WSC-Version nutzt du und welche Plugin Version willst du installieren?

    • Benutze die wsc version 3.1.9.

      Am liebsten hätte ich die 1.0.5 installiert.

    • Du musst Version 3.0.4 installieren. Tritt damit der Fehler auf?

  • Gibts eine Möglicheit, das Mitglieder default das "Bestätigungscode für neue Geräte aktivieren" auf "nein" steht? Derzeit muss das Mitglied das auf nein stellen, wenn es das nicht will. Ich hätte gerne das Mitglieder das explizit auf "ja" stellen müssen wenn die das wollen.

    • Im ACP Benutzer -> Benutzerprofil-Einstellungen. Dort solltest du den Wert für alle ändern können.

    • Danke für den Hinweis. Ich habe lediglich die Möglichkeit gefunden, das der User den "Erweiterten Login" im Profil deaktivieren kann.


      Code
      Kann den "Erweiterten Login" im Profil deaktivieren


      was ich gerne hätte, dass das Plugin deaktiviert ist und der User das im Profil explizit aktivieren muss


      Code
      Kann den "Erweiterten Login" im Profil aktivieren

      Oder hab ich die Einstellung übersehen? Weil eigentlich möchte ich nur das Team mit dem erweiterten Login beglücken. Die Mitglieder sollen das nur aktiveren können wenn sie wollen.

  • ich hab das gerade installiert und an den Einstellungen nix geändert.


    "Beim ersten Login nach Installation muss ein Nutzer es angeben, danach kann er es für neue Geräte auch abstellen."


    Beim ab und anmelden wird kein Hinweis angezeigt.


    pfd

    • möchte hier noch anmerken, das es sehr wohl funktioniert, allerdings erst wenn man sich woanders anmeldet. ;)


      pfd

  • wird dies auch Irgendwann möglich sein das man das selbe Spiel braucht wenn man Direkt in das acp geht ?

  • "Beim ersten Login nach Installation muss ein Nutzer es angeben, danach kann er es für neue Geräte auch abstellen."
    Bestünde auch die Möglichkeit, dieses vllt. in einer zukünftigen Umsetzung mit einer Option zu aktivieren/deaktivieren?

  • Hey,


    bevor ich es kaufe, hab ich das Richtig verstanden dass der User selbst aussuchen kann ob er das aktiviert oder nicht, also nicht jeder User muss immer einen Code eingeben?


    Liebe Grüße!

    • Beim ersten Login nach Installation muss ein Nutzer es angeben, danach kann er es für neue Geräte auch abstellen.

      Like 1
    • Okay danke!

  • Bekomme seit update auf Woltlab Suite 3.1 bei der installation diese Fehlermeldung:


    Dieses Paket ist inkompatibel mit den folgenden, installierten Paketen:

    • „WoltLab Suite Core“ (com.woltlab.wcf)
    • Für das WBB 4.0/4.1 bitte die neuste Version 1.x nutzen. Die Versionen 3.x funktionieren nur im WSC.

    • ahso hab automatisch die oberste version genommen und nicht aufgepasst sorry funzt.


      Greetz

      Duddeldore

  • Ich würde das erstmalige nach der installation sofort zu bestätigen abschaffen.

    Sondern selbst in den Einstellung aktivieren.

  • Would it be possible to have the option to default it to off for certain User Groups? For example, if I want my staff to use it, but don't want to inconvenience regular users, I'd like to be able to default the option to off for the regular User Group. They'd still have the option to use it, but they'd need to opt in, rather than opting out.


    Thanks for any thoughts you may have!

  • Ich find die Einstellung der Benutzereinstellungen zur Privatsphäre nicht, auch über die Suche nicht, dort wird mir nur das zum CChat angezeigt. Das Plugin ist zwar hilfreich aber nicht ausgereift. Wenn ich ein Reinigungsprogramm wie den CCleaner über meinen PC laufen lassen, kann ich den Benutzercode noch mal neu verschicken lassen, ist somit für Unser eines Forums nicht angebracht. Wenn man das speziell für Admins einstellen kann, wäre das trotzdem eine super Sache,

  • Kann der User selbst entscheiden diese Funktion zu nutzen?

    Wenn dem nicht so ist, kann das nachgerüstet werden?

    • Nach erstmaliger Bestätigung per Code kann es die Option deaktivieren.

  • Ok ich weiß jetzt warum das E-Mail template nicht übernommen wird

  • Werden sie dieses plugin auf die WSC version 3.1 erweitern?

  • Wo finde ich nochmal dein E-Mail template?

  • EIne bestimmt blöde Frage, aber wo finde ich das nach der Installation im ACP ?

    • Was genau suchst du? Die Option wird standardmäßig aktiviert für alle Nutzer.

  • Hallo ist es möglich, die Nachricht die man per E-Mail bekommt zu ändern?

    • Ja, über die Sprachvariablen. Den genauen Namen kann ich dir aber gerade nicht zukommen lassen, da ich nur mobil unterwegs bin.
      Einfach mal nach einem Wort aus der Email im ACP suchen, wenn du die Texte verwaltest.

      Like 2
    • Vielen lieben dank.

  • Hallo, wenn ich das Plugin installiere und ich ein Loggen möchte im Forum muss man ja dann den Code eingeben jedoch bekomme ich keinen zugeschickt? warum?

    • Prüfe deine E-Mail-Einstellungen und dein Spam Ordner.
      Die Mails werden über das Framework versendet, dee Fehler liegt also nicht beim Plugin.

    • E-Mail Einstellungen im ACP?

    • Ja.

    • Ok ich schaue dann mal =) Danke schonmal

    • Habe mitlerweile das Problem gelöst bekommen jedoch steht nur das da: er Zutritt zu dieser Seite ist Ihnen leider verwehrt. Sie besitzen nicht die notwendigen Zugriffsrechte, um diese Seite aufrufen zu können.

  • Kann man diese Funktion auch nur für bestimmte Benutzergruppen aktivieren, bspw. für Admins?

  • Hey,


    wo finde ich den die Option zum abschalten des Plugins fuer einen bestimmten User?
    Im ACP ist das Recht eingestellt, aber ich finde die Option nicht...


    Regards,


    A/

    • In den Benutzereinstellungen unter Einstellungen -> Privatsphäre :)

    • Scheint nicht im ACP zu gehen richtig?

    • Doch. Findet sich bei mir ganz unten in der Benutzereinstellungen im ACP.

  • Geht es auch bei Wotlab 5.0.6 ?

    • Ja, es funktioniert im WoltLab Suite Forum 5.0.6.

    • Danke warum steht es nicht in der Beschreibung ? oder wird es anders umschrieben ? Weil finde es bei kein Plugins irgendwie ^^

    • WoltLab Suite 3.0 steht in der Beschreibung. Das Woltlab Suite Forum basiert auf der Woltlab Suite 3.0.

      Like 1
    • Ah :D also alles was auf 3.0 läuft sollte auch beim Forum gehen ?

      Like 1
    • Korrekt.

  • Guten Morgen Christopher, ich habe eine Infos von einem Kunden erhalten. ... Da ich öfters Systeme, Provider und entsprechend IP-Adressen wechseln muss, werde ich mir also jedesmal einen Freischaltcode holen dürfen. Wäre es nicht besser andersherum zu gehen und überhaupt erstmal Spamschleudern zu haben, bevor man Spatzen mit Kanonen bekämpft? ... Ist da was dran? Das dass System (der Browser) eine neue Kennung verlangt, ist mir bewusst. Provider & IP auf dem gleichen Rechner auch?

    • Eine erfolgreiche Authentifizierung wird im Browsercookies gespeichert. Sofern dieser nicht dauerhaft gewechselt wird/dir Cookies gelöscht werden, sollte es funktionieren.
      Ansonsten das Plugin für den Nutzer deaktivieren :)

    • Ok, Dann weiß ich Bescheid. :-)

  • Hallo,
    Wie kann man im WBB 4.x, den Cursos standartmässig gleich ins Feld setzen? Vielleicht auch mit manueller tpl änderung?
    Danke

    • Durch manuelle Template-Änderung wäre das mit dem Attribut autofocus auf das Input Field möglich.

Customers Who Bought This File Also Bought